RDM::Sensor Class Reference

The Sensor class. More...

`#include <sensor.h>`

## Public Member Functions

| Sensor ()
| Sensor::Sensor.
void | setValue (int16_t &val)
| Sensor::setValue. More...
void | save ()
| Sensor::save.
void | clearMemory ()
| Sensor::resetMinMax.
int16_t | value () const
| Sensor::value. More...
int16_t | saved () const
| Sensor::saved. More...
int16_t | minimum () const
| Sensor::minimum. More...
int16_t | maximum () const
| Sensor::maximum. More...
void | actionGetSensorDefinition (uint8_t index, MsgPtr response)
| Sensor::actionGetSensorDefinition. More...
void | actionGetSensorValue (uint8_t index, MsgPtr response)
| Sensor::actionGetSensorValue. More...
void | actionSetSensorValue (uint8_t index, MsgPtr response)
| Sensor::actionSetSensorValue. More...
void | actionSetRecordSensors (MsgPtr response)
| Sensor::actionSetRecordSensors. More...

## Public Attributes

uint8_t | type
| value type
uint8_t | unit
| unit type
uint8_t | unitPrefix
| unit prefix type
int16_t | minLimit
| minimum value
int16_t | maxLimit
| maximum value
int16_t | minNominal
| nominal value minimum
int16_t | maxNominal
| nominal value maximum
union {
uint8_t recordedValueSupport
struct {
bool recordedValue: 1
bool minMaxDetectedValue: 1
uint8_t reserved: 6
} |
}; |
std::string | description
| sensor description

## Detailed Description

The Sensor class.

## Member Function Documentation

## actionGetSensorDefinition()

void RDM::Sensor::actionGetSensorDefinition | ( | uint8_t | index,
|  | MsgPtr | response
| ) |  |

Sensor::actionGetSensorDefinition.

Parameters

  index |
  response |

## actionGetSensorValue()

void RDM::Sensor::actionGetSensorValue | ( | uint8_t | index,
|  | MsgPtr | response
| ) |  |

Sensor::actionGetSensorValue.

Parameters

  index |
  response |

Here is the call graph for this function:

## actionSetRecordSensors()

void RDM::Sensor::actionSetRecordSensors | ( | MsgPtr | response | ) |

Sensor::actionSetRecordSensors.

Parameters

  response |

Here is the call graph for this function:

## actionSetSensorValue()

void RDM::Sensor::actionSetSensorValue | ( | uint8_t | index,
|  | MsgPtr | response
| ) |  |

Sensor::actionSetSensorValue.

Parameters

  index |
  response |

Here is the call graph for this function:

## maximum()

int16_t RDM::Sensor::maximum | ( |  | ) | const

Sensor::maximum.

Returns

Here is the caller graph for this function:

## minimum()

int16_t RDM::Sensor::minimum | ( |  | ) | const

Sensor::minimum.

Returns

Here is the caller graph for this function:

## saved()

int16_t RDM::Sensor::saved | ( |  | ) | const

Sensor::saved.

Returns

Here is the caller graph for this function:

## setValue()

void RDM::Sensor::setValue | ( | int16_t & | val | ) |

Sensor::setValue.

Parameters

  val |

## value()

int16_t RDM::Sensor::value | ( |  | ) | const

Sensor::value.

Returns

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdm/sensor.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdm/sensor.cpp